For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTSubmit Evaluator Judgment
      • GETList Evaluators
      • POSTUpsert Evaluator
      • GETGet Evaluator
      • DELDelete Evaluator
      • PATCHMove Evaluator
      • GETList Versions of an Evaluator
      • DELDelete Evaluator Version
      • PATCHUpdate Evaluator Version
      • POSTDeploy Evaluator
      • DELRemove Deployment
      • GETList an Evaluator's Environments
      • POSTUpdate Monitoring
LogoLogo
Sign inBook a demo
APIEvaluators

Remove Deployment

DELETE
https://api.humanloop.com/v5/evaluators/:id/environments/:environment_id
DELETE
/v5/evaluators/:id/environments/:environment_id
$curl -X DELETE https://api.humanloop.com/v5/evaluators/ev_890bcd/environments/staging \
> -H "X-API-KEY: <apiKey>"
Remove deployed Evaluator from the Environment. Remove the deployed version for the specified Environment. This Evaluator will no longer be used for calls made to the Evaluator in this Environment.
Was this page helpful?
Previous

List an Evaluator's Environments

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluator.
environment_idstringRequired
Unique identifier for the Environment to remove the deployment from.

Errors

422
Remove Deployment Evaluators ID Environments Environment ID Delete Request Unprocessable Entity Error